rancid_par(1)

NAME
rancid_par - parallel command processing

SYNOPSIS
rancid_par [-dfiqx] [-c command] [-l logfile] [-n
 #] file [file...]

DESCRIPTION
rancid_par takes a list of files to run a command on. The first line of each file begins with a colon (:) or a pound-sign (#). If a colon, the remainder of the line is a command to run for each of the subsequent lines. If a pound-sign, then each subsequent line is a (self-contained) command, unless the -c option was specified, in which case it operates as if the argument to -c had followed a colon on the first line.

In each of the cases where the lines of the file following the first are not commands (i.e.: colon or -c), instances of open-close braces ({}) in the command will be replaced by these values.

For example, a inputfile whose contents is:

    : echo {}
    a
    b
    c

run with rancid_par like so:

    %rancid_par -q inputfile

will produce the following output (order will vary):

    b
    a
    c

The command-line options are as follows:

-c  Command to be run on each of the arguments following the command-line options, where the first line of the input file(s) begins with a pound-sign (#).

-d  Print debugging information on standard error (stderr).

-f  No file or STDIN, just run a quantity of the command specified with -c.

-i  Run commands interactively through (multiple) xterm(1) processes.

-l  Prefix of logfile name, as in prefix.N where N is the rancid_par process number ([0..]).

    Default: par.log.<time>.[0..]

-n  Number of simultaneous processes.

    Default: 3

-q  Quiet mode. Do not log anything. -q is mutually exclusive with the -x and -l options and the option appearing last will take precedence.

-x  View rancid_par logs in real-time via an xterm(1).

FILES
par.log.T.N Log file; where T is the current time in seconds since the
epoch and N is the rancid_par process number ([0..]).